%define debug_package %{nil} 
%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)")

Name:		libvslvm
Version:	20181227
Release:	3%{?dist}
Summary:	Library to access the Linux Logical Volume Manager (LVM) volume system
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-experimental-%{version}.tar.gz
URL:		https://github.com/libyal/libvslvm/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  autoconf automake pkgconfig gettext-devel libtool gcc

%description
libvslvm is a library to access the Linux Logical Volume Manager (LVM) volume system

%package devel
Summary: Header files and libraries for developing applications for libvslvm
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libvslvm.

%package tools
Summary: Several tools for reading Linux Logical Volume Manager (LVM) volume systems
Group: Applications/System
Requires: %{name} = %{version}-%{release}  fuse-libs
BuildRequires:	fuse-devel

%description tools
Several tools for reading Linux Logical Volume Manager (LVM) volume systems

%package python2
Summary: Python 2 bindings for libvslvm
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} python
BuildRequires:  python(abi) => 2.7
BuildRequires:  %(basename %{__python})-devel
Requires:       %(basename %{__python})
Obsoletes:	%{name}-python
Provides:	%{name}-python = %{version}

%description python2
Python 2 bindings for libvslvm

%if 0%{?centos} != 6
%package python3
Summary: Python 3 bindings for libvslvm
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} python3
%if 0%{?centos} >= 7
BuildRequires:  python36-devel
%else
BuildRequires:  python3-devel
%endif

%description python3
Python 3 bindings for libvslvm
%endif

%prep
%setup -q

%build
if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh  ]; then sh autogen.sh;  fi
%if 0%{?centos} == 6
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%else
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python2 --enable-python3
%endif
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
#%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
#%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/vslvminfo
%attr(755,root,root) %{_bindir}/vslvmmount
%{_mandir}/man1/*

%files python2
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so

%if 0%{?centos} != 6
%files python3
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Tue Apr  9 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-3
* Release 20181227-3
        Release 3 - Rebuilt for Python 3.6 for CentOS/RHEL 7

* Mon Jan 28 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-2
* Release 20181227-2
        Version as of 20181227
	-python packages renamed to -python2

* Thu Dec 27 2018 Lawrence R. Rogers <lrr@cert.org> 20181227-1
* Release 20181227-1
	Version 20181227.

* Sun Dec 16 2018 Lawrence R. Rogers <lrr@cert.org> 20181216-1
* Release 20181216-1
	Version from 20181216.

* Thu Apr 27 2017 Lawrence R. Rogers <lrr@cert.org> 20160110-2
* Release 20160110-2
	Added missing fuse dependencies

* Sun Jan 10 2016 Joachim Metz <joachim.metz@gmail.com> 20160110-1
- Auto-generated

